/*
  But : css responsive
  Auteur : Noam Bourqui
  Date :   15.06.2024 / V1.0
*/
@media(max-width: 936px) {
  .container {
    width: 90%;
  }

  .weather__header {
    flex-direction: column;
  }

  .weather__units {
    margin-top: 1rem;
  }
}

@media screen and (max-width: 768px) {

  body {
    height: 150vh;
  }

  h1 {
    margin-top: 10vh;
  }

  button {
    margin-bottom: 30%;
  }

  .piedDePage {
    margin-top: 6.2em;
  }

  .navigation {
    margin: 0 0px;
    font-size: 10pt;
  }

  .app {
    margin-top: 5%;
    margin-left: 0;
    width: 300px;

  }

  .titlebar {
    font-size: 16pt;
  }

  .icon {
    width: 50%;
  }

  .flex {
    display: block;
  }

  .flexMap {
    display: block;
    margin-left: 3%;
  }

  .weather-container {
    margin-top: 2%;
    width: 250px;
    margin-left: 0px;
  }

  .weather-container-local {
    width: 200px;
  }


}

@media(max-width: 400px) {
  .weather__info {
    grid-template-columns: none;
  }
}